/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
main:has(+ footer) section.image-and-text-cta:last-child {
  margin-bottom: 0 !important;
}

section.image-and-text-cta {
  --copper-bg: var(--color__brand-copper);
  --blue-bg: var(--color__blue);
  --dark-bg: var(--color__dark-grey);
  --text-color: var(--color__white);
  --text-color-dark: var(--color__dark-grey);
  --accent-color: var(--color__white);
  --accent-color-dark: var(--color__dark-grey);
  min-height: 74vh;
  height: auto;
  width: 100%;
}

@media screen and (max-height: 50em) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .image-text-cta-header {
    max-width: 80% !important;
  }
}
section.image-and-text-cta.no-margin-bot {
  margin: 0 auto !important;
}

section.image-and-text-cta.copper-bg {
  background-color: var(--copper-bg);
}

section.image-and-text-cta.copper-bg .block-section-wrapper .content-wrapper {
  color: var(--text-color-dark);
}

section.image-and-text-cta.copper-bg .block-section-wrapper .content-wrapper .text-content-container .top-content .category-dot::before {
  background-color: var(--accent-color-dark);
}

section.image-and-text-cta.blue-bg {
  background-color: var(--blue-bg);
}

section.image-and-text-cta.blue-bg .block-section-wrapper .content-wrapper {
  color: var(--text-color);
}

section.image-and-text-cta.blue-bg .block-section-wrapper .content-wrapper .text-content-container .image-text-cta-cta-button:hover {
  border: 1px solid var(--color__white);
}

section.image-and-text-cta.black-bg {
  background-color: var(--dark-bg);
}

section.image-and-text-cta.black-bg .block-section-wrapper .content-wrapper {
  color: var(--text-color);
}

section.image-and-text-cta .block-section-wrapper {
  min-height: inherit;
  height: auto;
  width: 100%;
}

section.image-and-text-cta .block-section-wrapper .content-wrapper {
  display: flex;
  align-items: stretch;
  min-height: inherit;
  height: auto;
  width: 100%;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper {
    flex-direction: column;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper.image-left .image-container {
  order: 1;
}

section.image-and-text-cta .block-section-wrapper .content-wrapper.image-left .text-content-container {
  order: 2;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper.image-right {
    flex-flow: column-reverse;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper.image-right .image-container {
  order: 2;
}

section.image-and-text-cta .block-section-wrapper .content-wrapper.image-right .text-content-container {
  order: 1;
}

section.image-and-text-cta .block-section-wrapper .content-wrapper .image-container {
  width: 50%;
  height: auto;
  display: flex;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .image-container {
    width: 100%;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .image-container img,
section.image-and-text-cta .block-section-wrapper .content-wrapper .image-container video {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container {
  height: auto;
  width: 50%;
  padding: var(--spacing-content);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

@media screen and (max-width: 1000px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container {
    padding: var(--spacing-content-small);
  }
}
@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container {
    width: 100%;
  }
}
@media screen and (max-width: 480px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container {
    justify-content: flex-start;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content {
  padding-bottom: var(--spacing-content-small);
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content {
    padding-bottom: 0;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .category-dot::before {
  background-color: var(--accent-color);
}

section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .image-text-cta-header {
  font-weight: 300;
  max-width: 60%;
  text-wrap: balance;
  margin: 0 !important;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .image-text-cta-header {
    max-width: 100%;
  }
}
@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .image-text-cta-header {
    padding-bottom: calc(var(--spacing-content-small) + 1rem) !important;
  }
}
@media screen and (max-width: 23.5em) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .top-content .image-text-cta-header {
    padding-bottom: calc(var(--spacing-content-small) + 0.5rem) !important;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content {
    flex-direction: column;
    align-items: flex-start;
    height: 100%;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content .image-text-cta-text {
  font-weight: 300;
  max-width: 60%;
  text-wrap: balance;
}

@media screen and (max-width: 850px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content .image-text-cta-text {
    margin-bottom: var(--spacing-content-small);
    padding-bottom: 0.75rem;
    max-width: 100%;
  }
}
section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content .image-text-cta-cta-button {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

@media screen and (max-width: 480px) {
  section.image-and-text-cta .block-section-wrapper .content-wrapper .text-content-container .bottom-content .image-text-cta-cta-button {
    margin-top: auto;
    margin-bottom: 0.75rem;
  }
}
